Actualizar Ubuntu sin soporte

Ubuntu es un sistema muy estable y por tanto podríamos encontrarnos con que mantenemos una versión antigua de este sistema operativo sin actualizarnos a las versiones más modernas. Pero esto puede llevarnos a un problema y es que cuando ha pasado un tiempo podríamos encontrarnos con que no podemos actualizar nuestra versión de Ubuntu. Cannonical tiene un calendario para las distintas versiones de su sistema operativo y cada una de estas tiene un soporte establecido, tras el cual ya no se actualizaría convencionalmente. Las versiones de su sistema LTS (o Long Time Support) tienen soporte durante 5 años, pero las normales solo tiene soporte uno o dos años. Por tanto, lo primero que debemos recomendar es que cuando instalemos ubuntu en un equipo, lo hagamos con una versión LTS para tener el mayor tiempo posible soporte para nuestro SO.

¿Y que pasa cuando se acaba el plazo de soporte? Pues bien, a partir de ese momento los repositorios dejan de funcionar. De esta forma cuando intentamos actualizar nuestro sistema recibiremos un error 404 tanto en APT como Synaptic. Bien, si por el motivo que sea no quermeos actualizarnos a una versión más moderna de Ubuntu (que recordemos sería recomendable que sea LTS) podemos solucionar el problema. Para ello deberemos cambiar las fuentes de los repositorios lo cual nos permitirá seguir actualizando paquetes de nuestro sistema.

¿Y como lo hacemos? Modificando el archivo /etc/apt/sources.list para lo cual en una línea de terminal escribiremos:

sudo gedit /etc/apt/sources.list

Sustituiremos (tras realizar una conveniente copia del archivo por si acaso) el contenido del archivo por el siguiente:

deb http://old-releases.ubuntu.com/ubuntu/ jaunty main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ jaunty main restricted
deb http://old-releases.ubuntu.com/ubuntu/ jaunty-updates main restricted
deb-src http://old-releases.ubuntu.com/ubuntu/ jaunty-updates main restricted
deb http://old-releases.ubuntu.com/ubuntu/ jaunty universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ jaunty universe multiverse
deb http://old-releases.ubuntu.com/ubuntu jaunty-security main restricted
deb-src http://old-releases.ubuntu.com/ubuntu jaunty-security main restricted

Se supone que estamos utilizando la versión jaunty, en caso de tratarse de otra versión cambiaríamos ‘jaunty’ por el nombre de la versión que corresponda. Finalmente guardamos el archivo y actualizamos con el siguiente comando:

$ sudo apt-get update

A partir de este momento deberíamos poder actualizar los paquetes del sistema y de aplicaciones.

13 thoughts on “Actualizar Ubuntu sin soporte

  1. Hola… tengo un problema parecido y no c si ya lo han tratado, por favor podria alguien ayudarme… reciente tuve que formatear mi pc dual core, 3 gb de ram, e instale ubuntu 17.04 LTS y al tratar de actualizar update me devuelve «hecho se han actualizado 0 archivo, cambiado o actulizado 0 » y mas ceros y no hace nada, tampoco puedo descargar ningun programa ni archivo como por ejemplo los codecs extra restrictivos para audio y video. Buscando y leyendo diversos foros parece que no encuentra los repositorios porque son viejos. Mi duda es que se supone que ubuntu 17 tiene soporte para 5 años y para este momento todavia deberia tener soporte.
    Gracias por la atencion que puedan brindar.
    Atte. Alex

  2. Gracias… pero nada. No me es posible actualizar ubuntu 11.04 ni el 11.10, no puedo instalar nada porque me dice que los repositorios son obso9letos y no están disponibles.

  3. Gracias por este aporte, necesitaba instalar virtual box, pero no podía actualizar las librerias de python por la baja de los repositorios. Y reinstalar no era una opción ya que tengo toda mi tesis desarrollada y no quería volver a instalar todo de nuevo eclipse, mysql, java etc etc etc.

    Gracias miles.

  4. Lo he probado con la version hardy, cambié el nombre jaunty con hardy y borré todo el fichero sources.list y sólo puse lo de arriba y me funciona… perfecto

  5. de verdad muchas gracias por tu aporte… tengo una pc muy básica y ubuntu 10.10 es el que mejor me funciona y no había podido instalar nada, de hecho probe la versión 12.4 pero fue super lento..

    tus comandos me salvaron 😀

  6. Exelente 🙂 muchas veces no queremos actualizar nuestra version .. porque realmente nos trabaja bien estable.. yo tenia el compiz con emerald en ubuntu 10.10 y actualize a ubuntu 11.04 y despues de la actualizacion se perdio todo con respecto a mis efectos con genome 😀 yo se que puedo instalar otro entorno de escritorio en las versiones actuales de ubuntu con Unity pero con el 10.10 me hiba mucho mas que bien.. saludos!!!

Responder a Toni Cancelar la respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.